=== plugins/repo/Makefile ===
SUBCOMMANDS = subcommands/gc subcommands/purge-cache
TRIGGERS = triggers/post-stack-set triggers/pre-delete
BUILD = commands subcommands triggers
PLUGIN_NAME = repo

include ../../common.mk
